package com.crm.rely.backend.core.constant;

import java.util.ArrayList;
import java.util.List;

/**
 * 区块链枚举
 */
public enum CardBlockchainEnum {

    BITCOIN("bitcoin"),
    BITCOIN_CASH("bitcoin-cash"),
    LITECOIN("litecoin"),
    DOGECOIN("dogecoin"),
    DASH("dash"),
    ETHEREUM("ethereum"),
    ETHEREUM_CLASSIC("ethereum-classic"),
    XRP("xrp"),
    ZCASH("zcash"),
    BINANCE_SMART_CHAIN("binance-smart-chain"),
    TRON("tron"),
    POLYGON("polygon"),
    OPTIMISM("optimism"),
    AVALANCHE("avalanche"),
    SOLANA("solana"),
    ARBITRUM("arbitrum"),
    BASE("base");



    private final String blockchain;

    CardBlockchainEnum(String blockchain) {
        this.blockchain = blockchain;
    }

    public String getBlockchain() {
        return blockchain;
    }

    public static List<String> getAllBlockchains() {
        List<String> blockchains = new ArrayList<>();
        for (CardBlockchainEnum chain : CardBlockchainEnum.values()) {
            blockchains.add(chain.getBlockchain());
        }
        return blockchains;
    }
}
